package com.tzld.piaoquan.recommend.server.feign;

import com.alibaba.fastjson.JSONObject;
import com.tzld.piaoquan.recommend.server.feign.model.FlowPoolResponse;
import com.tzld.piaoquan.recommend.server.feign.model.FlowPoolVideoInfo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(value = "flowpool")
public interface FlowPoolFeign {

    @PostMapping("/flowpool/video/getFlowPoolVideo")
    FlowPoolResponse<List<FlowPoolVideoInfo>> getFlowPoolVideo(@RequestBody JSONObject param);

    @PostMapping("/flowpool/video/remainViewCount")
    FlowPoolResponse<List<FlowPoolVideoInfo>> remainViewCount(@RequestBody List<JSONObject> param);
}
